CRMchat APIBeta

Upload CSV list

POST
/workspaces/{workspaceId}/outreach/lists/upload

Uploads a CSV or TSV file and creates a list. Columns are automatically inferred from the file header.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

file*string|string
usernameColumn?string
phoneColumn?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/outreach/lists/upload" \  -F file="string"
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "createdBy": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "workspaceId": "string",    "name": "string",    "source": {      "fileUrl": "string",      "fileName": "string",      "usernameColumn": "string",      "phoneColumn": "string",      "columns": [        "string"      ],      "type": "csvFile"    },    "status": "pending",    "totalSize": 0,    "importStats": {      "imported": 0,      "skippedMissingIdentifier": 0,      "skippedInvalidPhone": 0,      "skippedDuplicate": 0    },    "id": "string"  }}